package fr.lip6.mcc.pnml.exporter;

import fr.lip6.mcc.pnml.generator.intf.PnmlGenerator;

public final class PNMLExporter {

	private PnmlGenerator generator = null;
	
	public PNMLExporter(){
		super();
	}
	
	public PNMLExporter(PnmlGenerator generator){
		super();
		this.generator = generator;
	}
	
	public void setGenerator(PnmlGenerator generator){
		this.generator = generator;
	}
	
	/**
	 * Transforms model in input format (proprietaryFile) into PNML format,
	 * then generates the indicated instances of the model in PNML. 
	 * @param proprietaryFile the file where to read the input model from
	 * @param pnmlFilePath the output model in PNML.
	 * @param instances the instances of the model to generate in PNML.
	 */
	public void generate2Pnml(String proprietaryFile, String pnmlFilePath, int[] instances) {
		for (int a : instances) {
			this.generator.generate2Pnml(proprietaryFile, pnmlFilePath + a + ".pnml", a);
		}
	}
}
